; Blink 8 LED's on Register on PORT C
#include <p16F690.inc> 
; #include - Brings in an include file defining all the Special Function Registers available on the PIC16F690. 
; Also, it defines valid memory areas. These definitions match the names used in the device data sheet.

__config (_INTRC_OSC_NOCLKOUT & _WDT_OFF & _PWRTE_OFF & _MCLRE_OFF & _CP_OFF &_BOD_OFF & _IESO_OFF & _FCMEN_OFF)
; Config Defines the Configuration Word.
org 0 ; Org 0 Tells the assembler where to start generating code.

		Delay1 		equ 21h
		Delay2 		equ 22h
;The two line above define the memory addresses which are going to put the delay

	Start
	BSF STATUS, RP0 ; select Register Page 1 (RP)
	CLRF TRISC ; make I/O PORTC all output
	BCF STATUS, RP0 ; back to Register Page 0

	MainLoop
	MOVLW 0x55 ; put ‘0101 0101’ ie 8 in the working register (hex 55 or dec 85)
	MOVWF PORTC ; Copy the Wreg to Port C (to the LEDs)

	OndelayLoop ; Delay 0.2 Sec subroutine, this will depend on the clock source used, faster clock means less delay
	DECFSZ Delay1, f ; Decrement file register, skip next instruction if zero
	GOTO OndelayLoop ; Repeat loop if Delay1 is not zero
	DECFSZ Delay2, f ; Decrement file register, skip next instruction if zero
	GOTO OndelayLoop ; Repeat loop if Delay2 is not zero
	
	OndelayLoop1 ; Repeat delay sub routine to get another 0.2 Sec delay
	DECFSZ Delay1, f ; Decrement file register, skip next instruction if zero
	GOTO OndelayLoop1 ; Repeat loop if Delay1 is not zero
	DECFSZ Delay2, f ; Decrement file register, skip next instruction if zero
	GOTO OndelayLoop1 ; Repeat loop if Delay2 is not zero

	MOVLW 0xAA ; put ‘1010 1010’ ie 8 in the working register (hex AA or dec 170)
	MOVWF PORTC ; Copy the Wreg to Port C (to the LEDs)

	OndelayLoop2 ; Repeat delay sub routine to get another 0.2 Sec delay
	DECFSZ Delay1, f ; Decrement file register, skip next instruction if zero
	GOTO OndelayLoop2 ; Repeat loop if Delay1 is not zero
	DECFSZ Delay2, f ; Decrement file register, skip next instruction if zero
	GOTO OndelayLoop2 ; Repeat loop if Delay2 is not zero
	
	GOTO MainLoop
	End